org.apache.solr.hadoop

## Interface HdfsFileFieldNames

-     public interface HdfsFileFieldNames

  Solr field names for metadata of an HDFS file.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FILE_DOWNLOAD_URL`
    `static String` | `FILE_GROUP`
    `static String` | `FILE_HOST`
    `static String` | `FILE_LAST_MODIFIED`
    `static String` | `FILE_LENGTH`
    `static String` | `FILE_NAME`
    `static String` | `FILE_OWNER`
    `static String` | `FILE_PATH`
    `static String` | `FILE_PERMISSIONS_GROUP`
    `static String` | `FILE_PERMISSIONS_OTHER`
    `static String` | `FILE_PERMISSIONS_STICKYBIT`
    `static String` | `FILE_PERMISSIONS_USER`
    `static String` | `FILE_PORT`
    `static String` | `FILE_SCHEME`
    `static String` | `FILE_UPLOAD_URL`

- - ### Field Detail

    - #### FILE_UPLOAD_URL

          static final String FILE_UPLOAD_URL

      See Also:
        Constant Field Values

    - #### FILE_DOWNLOAD_URL

          static final String FILE_DOWNLOAD_URL

      See Also:
        Constant Field Values

    - #### FILE_SCHEME

          static final String FILE_SCHEME

      See Also:
        Constant Field Values

    - #### FILE_HOST

          static final String FILE_HOST

      See Also:
        Constant Field Values

    - #### FILE_PORT

          static final String FILE_PORT

      See Also:
        Constant Field Values

    - #### FILE_PATH

          static final String FILE_PATH

      See Also:
        Constant Field Values

    - #### FILE_NAME

          static final String FILE_NAME

      See Also:
        Constant Field Values

    - #### FILE_LENGTH

          static final String FILE_LENGTH

      See Also:
        Constant Field Values

    - #### FILE_LAST_MODIFIED

          static final String FILE_LAST_MODIFIED

      See Also:
        Constant Field Values

    - #### FILE_OWNER

          static final String FILE_OWNER

      See Also:
        Constant Field Values

    - #### FILE_GROUP

          static final String FILE_GROUP

      See Also:
        Constant Field Values

    - #### FILE_PERMISSIONS_USER

          static final String FILE_PERMISSIONS_USER

      See Also:
        Constant Field Values

    - #### FILE_PERMISSIONS_GROUP

          static final String FILE_PERMISSIONS_GROUP

      See Also:
        Constant Field Values

    - #### FILE_PERMISSIONS_OTHER

          static final String FILE_PERMISSIONS_OTHER

      See Also:
        Constant Field Values

    - #### FILE_PERMISSIONS_STICKYBIT

          static final String FILE_PERMISSIONS_STICKYBIT

      See Also:
        Constant Field Values

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.